techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Menus
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
        GET
      • Menu Details
        GET
      • Menu Add-Ons Details
        GET
      • Menu Options
        GET
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Menus

Menu Details

GET
https://api.techrar.com/api/v1/menus/{menu_id}/
This endpoint allows customers to retrieve detailed information about a specific menu including all days, categories, and options

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/menus/105/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 0,
    "custom_fields": null,
    "off_days": [
        "string"
    ],
    "days": [
        {
            "id": 0,
            "custom_fields": null,
            "categories": [
                {
                    "id": 0,
                    "custom_fields": null,
                    "options": [
                        {
                            "id": 0,
                            "custom_fields": null,
                            "product": {
                                "id": 0,
                                "created_at": "string",
                                "modified_at": "string",
                                "deleted_at": null,
                                "is_deleted": true,
                                "name_ar": "string",
                                "name_en": "string",
                                "original_price": 0,
                                "discount_percentage": 0,
                                "image": "string",
                                "nutritions": null,
                                "nutrition_options": [
                                    {
                                        "id": 0,
                                        "custom_fields": null,
                                        "app_id": null,
                                        "created_at": "string",
                                        "modified_at": "string",
                                        "is_deleted": true,
                                        "deleted_at": null,
                                        "ordering": 0,
                                        "calories": 0,
                                        "carbs": 0,
                                        "protein": 0,
                                        "fat": 0,
                                        "product": 0,
                                        "size": 0
                                    }
                                ],
                                "restaurant_id": 0,
                                "is_sub": true,
                                "description_ar": "string",
                                "description_en": "string",
                                "is_active": true,
                                "in_stock": true,
                                "category_id": 0,
                                "allergies": [
                                    "string"
                                ],
                                "variant": [
                                    0
                                ],
                                "allergens_dislikes": [
                                    "string"
                                ]
                            },
                            "app_id": null,
                            "created_at": "string",
                            "modified_at": "string",
                            "is_deleted": true,
                            "deleted_at": null,
                            "ordering": 0,
                            "is_active": true,
                            "is_recommended": true,
                            "category": 0,
                            "day": 0
                        }
                    ],
                    "app_id": null,
                    "created_at": "string",
                    "modified_at": "string",
                    "is_deleted": true,
                    "deleted_at": null,
                    "ordering": 0,
                    "name_en": "string",
                    "name_ar": "string",
                    "hide_from_app": true,
                    "daily_price_per_item": 0,
                    "support_add_ons": true,
                    "has_size_based_pricing": true,
                    "icon": null,
                    "menu": 0
                }
            ],
            "app_id": null,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "day": "string",
            "repetition_counter": 0,
            "menu": 0
        }
    ],
    "prices": [
        "string"
    ],
    "app_id": null,
    "created_at": "string",
    "modified_at": "string",
    "is_deleted": true,
    "deleted_at": null,
    "ordering": 0,
    "name_en": "string",
    "name_ar": "string",
    "is_active": true,
    "repetition": 0,
    "start_date": "string",
    "skip_option_selection": true,
    "hide_from_app": true,
    "subscriptions_start_date": "string",
    "restaurant": 0
}
Modified at 2025-12-09 11:36:33
Previous
List Menus
Next
Menu Add-Ons Details
Built with